baseURL = "https://unfold.software"
title = "Unfold Software"
# for smart copyright line, leave this blank and check [params.copyright]
copyright = ""

theme = "engimo"

disqusShortname = ""
googleAnalytics = ""

Paginate = 20
preserveTaxonomyNames = true

enableRobotsTXT = true # generate robots.txt

# Syntax Highlighting ( https://gohugo.io/content-management/syntax-highlighting/ )
pygmentsCodefences = true

enableEmoji = true

# Missing translations will default to this content language
defaultContentLanguage = "en"

[params.info]
description = "Scaling Sparks A.kk.a Playing"
title404 = "Nothing's here!"

[params.assets]

favicon = "favicon.ico"
customCSS = ["css/custom.css"]
customJS = [] # ["js/custom.js"]
gopher = "" # used in 404 template ( Generator: https://gopherize.me )

[params.copyright]
prefix = ""
holder = "unfold.software"
startYear = "2020"
suffix = ""

[params.settings]
# date & time format: https://golang.org/pkg/time/
dateFormat = "2006-01-02"
listDateFormat = "2006-01-02"
archiveDateFormat = "2006-01-02"
hideEntryNavigation = ["page"] # boolean / array of sections
hideEntryMeta = ["page"] # boolean / array of sections
showReadingTime = true
showLastmod = true
taxonomyCloudShuffle = false
accentColor = "#5a3c5a"
hideMainMenu = false
rtl = false

[params.sidebar]
enable = true

[params.widgets]
header = ["breadcrumbs"]
homepage = ["recent_posts"]
sidebar = ["about","taxonomy_cloud","search"]
footer = ["social_menu"]

[params.opengraph.facebook]
admins = [] # array of Facebook IDs
appID = ""
pageID = ""

[params.opengraph.twitter]
page = "" # Twitter page username

[params.seo]
# Title Separator: - – — · • * ⋆ | ~ « » < >
titleSeparator = "•"

[params.social]
email = "dawid.weckowski@unfold.software"
gitlab = "unfold.software"

[params.comments]
enable = false

# Isso: https://posativ.org/isso/
[params.comments.isso]
enable = false
scriptSrc = "" # "https://isso.example.com/js/embed.min.js"
dataAttrs = "" # "data-isso='https://isso.example.com' data-isso-require-author='true'"

[params.comments.staticman]
enable = true
apiEndpoint = "https://api.staticman.net/v2/entry"
maxDepth = 2
username = "achary"
repository = "engimo"
branch = "master"

# Utterances: https://utteranc.es
[params.comments.utterances]
enable = false
issueTerm = "pathname" # pathname / url / title

[params.comments.utterances.github]
username = "achary"
repository = "engimo"

[params.search]
client = "fuse" # algolia / fuse / lunr

[params.search.algolia]
appId = ""
indexName = ""
searchApiKey = ""

[taxonomies]
author = "authors"
category = "categories"
series = "series"
tag = "tags"

[permalinks]
page = "/:slug/"

[[menu.main]]
name = "Repo"
weight = -10
identifier = "repository"
url = "https://gitlab.com/unfold.software/blog"

[blackfriday]
hrefTargetBlank = true

[languages]
# edit this block for your own language
[languages.en]
lang = "en"
languageName = "English"
weight = 1

[markup]

[markup.highlight]
codeFences = true
style = "manni"
